package pwc.taxtech.atms.entity;

import java.io.Serializable;

public class WfRecordDetail extends BaseEntity implements Serializable {
    /**
     * 
     */
    private Long id;

    /**
     * 工作流主表ID
     */
    private Long recordId;

    /**
     * ACT实例ID
     */
    private String actInstId;

    /**
     * ACT任务ID
     */
    private String actTaskId;

    /**
     * UID
     */
    private String uid;

    /**
     * 状态 0:审批中 1:通过 2:驳回
     */
    private Integer status;

    /**
     * 备注
     */
    private String comment;

    /**
     * wf_record_detail
     */
    private static final long serialVersionUID = 1L;

    /**
     * @return id 
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id 
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return record_id 工作流主表ID
     */
    public Long getRecordId() {
        return recordId;
    }

    /**
     * @param recordId 工作流主表ID
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * @return act_inst_id ACT实例ID
     */
    public String getActInstId() {
        return actInstId;
    }

    /**
     * @param actInstId ACT实例ID
     */
    public void setActInstId(String actInstId) {
        this.actInstId = actInstId == null ? null : actInstId.trim();
    }

    /**
     * @return act_task_id ACT任务ID
     */
    public String getActTaskId() {
        return actTaskId;
    }

    /**
     * @param actTaskId ACT任务ID
     */
    public void setActTaskId(String actTaskId) {
        this.actTaskId = actTaskId == null ? null : actTaskId.trim();
    }

    /**
     * @return uid UID
     */
    public String getUid() {
        return uid;
    }

    /**
     * @param uid UID
     */
    public void setUid(String uid) {
        this.uid = uid == null ? null : uid.trim();
    }

    /**
     * @return status 状态 0:审批中 1:通过 2:驳回
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * @param status 状态 0:审批中 1:通过 2:驳回
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * @return comment 备注
     */
    public String getComment() {
        return comment;
    }

    /**
     * @param comment 备注
     */
    public void setComment(String comment) {
        this.comment = comment == null ? null : comment.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", recordId=").append(recordId);
        sb.append(", actInstId=").append(actInstId);
        sb.append(", actTaskId=").append(actTaskId);
        sb.append(", uid=").append(uid);
        sb.append(", status=").append(status);
        sb.append(", comment=").append(comment);
        sb.append("]");
        return sb.toString();
    }
}